import numpy as np
import matplotlib.pyplot as plt

data = [
        66, 59, 62, 64,	63, 68, 65, 59, 68, 64,
        65, 51, 67, 64, 83, 59, 61, 62,	57, 72,
        65, 64, 54, 60, 53, 65, 67, 60,	53, 79,
        74, 53, 61, 68, 75, 50, 57, 55, 66, 56,
        55, 61, 70, 71, 49, 69, 70, 80, 73, 72]

#       日本語表記のための設定
plt.rcParams['font.family'] = ['Yu Gothic', 'Noto Sans CJK JP',
                                   'Hiragino Maru Gothic Pro']

bins_v = np.linspace(45, 85, 9)   #  境界値（級限界）の設定

results = plt.hist(data, bins = bins_v)
plt.xlabel('テストの点数', fontsize = 14)
plt.ylabel('度\n数', fontsize = 14, rotation = 0)
plt.show()
print('最小値 =', min(data), '　最大値 =', max(data))
print('境界値;', results[1])
print('度数：', results[0])
